Bug 888817 - Anaconda should use available space effectively
Anaconda should use available space effectively
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2012-12-19 10:03 EST by Jan Stodola
Modified: 2014-02-05 09:02 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 09:02:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda.log (13.08 KB, text/plain)
2012-12-19 10:04 EST, Jan Stodola
no flags Details
program.log (33.74 KB, text/plain)
2012-12-19 10:04 EST, Jan Stodola
no flags Details
storage.log (148.70 KB, text/plain)
2012-12-19 10:04 EST, Jan Stodola
no flags Details
syslog (62.45 KB, text/plain)
2012-12-19 10:04 EST, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2012-12-19 10:03:55 EST
Description of problem:
When creating new mount points, anaconda should place partitions effectively to use all available space - see steps to reproduce as an example.

Version-Release number of selected component (if applicable):
Fedora 18 TC3
anaconda-18.37.3

How reproducible:
always

Steps to Reproduce:
1. start graphical installation on a system with two 20 GB drives
2. go to "Installation Destination", select both drives and click "Continue"
3. check "I don't need help, let me customize disk partitioning", click "Reclaim space"
4. remove all existing partitions
5. add new mount point:
Mount Point: /
Desired Capacity: 15000
6. add new mount point:
Mount Point: /boot
Desired Capacity: 15000
 
Actual results:
size of / is 15 GB, size of /boot is 12.97 GB, anaconda reports 12.97 GB of available space

Expected results:
size of both / and /boot is 15 GB

Additional info:
Comment 1 Jan Stodola 2012-12-19 10:04:26 EST
Created attachment 666125 [details]
anaconda.log
Comment 2 Jan Stodola 2012-12-19 10:04:30 EST
Created attachment 666126 [details]
program.log
Comment 3 Jan Stodola 2012-12-19 10:04:34 EST
Created attachment 666127 [details]
storage.log
Comment 4 Jan Stodola 2012-12-19 10:04:37 EST
Created attachment 666128 [details]
syslog
Comment 5 Steve Tyler 2012-12-19 15:32:57 EST
With two 20 GiB disks and all partitions removed, creating a single partition of these sizes shows that the installer is setting a size limit on /boot:

/boot
10000   10 GB
15000   15 GB
20000   20 GB
25000   20.47 GB
30000   20.47 GB
35000   20.47 GB
40000   20.47 GB

/spare
35000   35 GB
40000   40 GB

Tested with:
anaconda-18.37.4-1.fc18
$ qemu-kvm -m 2048 -hda f18-test-1.img -hdb f18-test-2.img -cdrom ~/xfr/fedora/F18/F18-Final/TC3/Fedora-18-TC3-x86_64-Live-Desktop.iso -usb -vga qxl -boot menu=on -usbdevice mouse
Comment 6 Steve Tyler 2012-12-19 16:04:07 EST
(In reply to comment #5)
> With two 20 GiB disks and all partitions removed, creating a single
> partition of these sizes shows that the installer is setting a size limit on
> /boot:
...

/boot is on a standard partition, so it cannot cross a disk boundary. After first creating a 15 GB "/" logical volume:

/boot
 5000    5 GB
10000   10 GB
12000   12 GB
13000   12.97 GB
14000   12.97 GB
15000   12.97 GB

This limit on the size of /boot appears to be due to the LVM physical volumes for "/" being split equally across both disks:

[root@localhost liveuser]# pvs
  PV         VG     Fmt  Attr PSize PFree
  /dev/sda2  fedora lvm2 a--  7.32g    0 
  /dev/sdb1  fedora lvm2 a--  7.32g    0 
[root@localhost liveuser]# vgs
  VG     #PV #LV #SN Attr   VSize  VFree
  fedora   2   1   0 wz--n- 14.65g    0 
[root@localhost liveuser]# lvs
  LV   VG     Attr      LSize  Pool Origin Data%  Move Log Copy%  Convert
  root fedora -wi------ 14.65g                                           
[root@localhost liveuser]#
Comment 7 Steve Tyler 2012-12-19 16:11:39 EST
If a 15 GB /boot partition is required, it can be created first:
/boot   15 GB
/       14.99 GB

The bug here, IMO, is that the installer does not expose the details of the partitioning, so users cannot discover this sort of nuance, except by conducting test installs and seeing what actually happens.
Comment 8 Fedora End Of Life 2013-12-21 04:59:31 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 09:02:43 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.